org.codehaus.groovy.control

## Class ASTTransformationsContext

- java.lang.Object
- - org.codehaus.groovy.control.ASTTransformationsContext

-     public class ASTTransformationsContext
      extends Object

  Stores state information about global AST transformations applied to a compilation unit.
  Author:
    Cedric Champeau

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CompilationUnit` | `compilationUnit`
    `protected Set<String>` | `globalTransformNames`
    `protected GroovyClassLoader` | `transformLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationUnit` | `getCompilationUnit()`
    `Set<String>` | `getGlobalTransformNames()`
    `GroovyClassLoader` | `getTransformLoader()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transformLoader

          protected final GroovyClassLoader transformLoader

    - #### compilationUnit

          protected final CompilationUnit compilationUnit

    - #### globalTransformNames

          protected final Set<String> globalTransformNames

  - ### Constructor Detail

    - #### ASTTransformationsContext

          public ASTTransformationsContext(CompilationUnit compilationUnit,
                                   GroovyClassLoader transformLoader)

  - ### Method Detail

    - #### getCompilationUnit

          public CompilationUnit getCompilationUnit()

    - #### getGlobalTransformNames

          public Set<String> getGlobalTransformNames()

    - #### getTransformLoader

          public GroovyClassLoader getTransformLoader()